#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

#blazor-error-ui .dismiss {
    cursor: pointer;
    position: absolute;
    right: 3.5rem;
    top: 0.5rem;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

.blazor-error-boundary::after {
    content: "An error has occurred."
}
html {
    -ms-overflow-style: none;
    scrollbar-width: none;
}
html::-webkit-scrollbar {
    display: none;
}
body {
    margin: 0;
    background-color: transparent;
}
h1, h2, h3, h4, h5, h6, p {
    margin: 0;
}
*:focus-visible {
    outline: none;
}

/*
Utility
*/
.flex {
    display: flex;
}
.justify-center {
    justify-content: center;
}
.justify-between {
    justify-content: space-between;
}
.justify-around {
    justify-content: space-around;
}
.justify-evenly {
    justify-content: space-evenly;
}
.justify-start {
    justify-content: flex-start;
}
.justify-end {
    justify-content: flex-end;
}
.flex-col {
    flex-direction: column;
}
.flex-row {
    flex-direction: row;
}
.align-center {
    align-items: center;
}
.align-start {
    align-items: start;
}
.align-end {
    align-items: end;
}
.m0 {
   margin: 0; 
}
.m10 {
    margin: 10px;
}
.m20 {
    margin: 20px;
}
.m30 {
    margin: 30px;
}
.p0 {
    padding: 0;
}
.p10 {
    padding: 10px;
}
.p20 {
    padding: 20px;
}
.p30 {
    padding: 30px;
}
.font-bold {
    font-weight: bold;
}
.font-normal {
    font-weight: normal;
}
.mt-10 {
    margin-top: 10px;
}
.mb-24 {
    margin-bottom: 24px;
}
.mt-30 {
    margin-top: 30px;
}
.ml-5 {
    margin-left: 5px;
}
.mw-660 {
    max-width: 660px;
}
.text-left {
    text-align: left;
}
.fs-14 {
    font-size: 14px;
}
input[type=number] {
    appearance: textfield;
    -moz-appearance: textfield;
}
/*
 General styles
 */
.spaced-letters {
    letter-spacing: 1.8px;
}
.uppercase {
    text-transform: uppercase;
}
.text-secondary-title {
    color: #564a41;
    font-style: normal;
    font-weight: 500;
    font-size: 13px;
    line-height: 22px;
}
.text-main-title {
    color: #b2122b;
    font-style: normal;
    font-weight: 500;
    font-size: 42px;
    line-height: 55px;
}
.text-small-title {
    font-family: "Fira Sans",sans-serif;
    font-style: normal;
    font-weight: 600;
    font-size: 26px;
    line-height: 36px;
    color: #b2122b;
}
.text-small-title.dark{
    color: #544a3f;
}
.text-form-section-title {
    margin: 10px 0;
}
.text-sub-headline {
    font-style: normal;
    font-weight: 400;
    font-size: 20px;
    line-height: 32px;
    text-align: center;
}
.text-section-title {
    font-style: normal;
    font-weight: 400;
    font-size: 18px;
    line-height: 24px;
    margin-bottom: 15px;
}
.color-primary {
    color: #b2122b;
}
.fw-700 {
    font-weight: 700;
}
.full-width {
    width: 100%;
}
.text-large {
    font-size: 1.5em;
}
.bordered-spacer-10 {
    border-bottom: 1px solid rgba(0,0,0,0.1);
    margin: 10px 0;
}
.main-button {
    background-color: #b4122b;
    color: #fff;
    padding: 14px 32px;
    font-style: normal;
    font-weight: 500;
    text-transform: uppercase;
    letter-spacing: 2px;
    font-size: 13px;
    line-height: 18px;
    outline: none;
    border:none;
    cursor: pointer;
}
.secondary-button {
    background-color: white;
    color: #b4122b;
    padding: 14px 32px;
    font-style: normal;
    font-weight: 500;
    text-transform: uppercase;
    letter-spacing: 2px;
    font-size: 13px;
    line-height: 18px;
    outline: none;
    border: 1px solid #b4122b;
    cursor: pointer;
}
.main-button:hover {
    background-color: #9b1c28;
}

.space-50 {
    height: 50px;
}
.space-30 {
    height: 30px;
}
.space-10 {
    height: 10px;
}
/*Reusable Component based styles*/
.privacy-href {
    text-decoration: none;
    color: #b4122b;
}
.privacy-href:hover {
   color: #cb5a6b; 
}
.payment-method-container {
    background-color: rgba(0,0,0,0.2);
    display: grid;
    grid-gap: 1px;
    grid-template-columns: repeat(4, 1fr);
}
.payment-method {
    width: 100%;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100px;
    background-color: #fff4d9;
    box-sizing: border-box;
    padding: 10px;
}
.payment-method.selected {
    background-color: white;
}
.payment-method-icon {
    margin-right: 30px;
    width: 70px;
}
@media screen and (max-width: 1000px) {
    .payment-method-icon {
        margin-right: 15px;
        width: 50px;
    }
    .payment-method {
        min-height: 80px;
    }
}
@media screen and (max-width: 600px) {
    .payment-method-container {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
    }
    .payment-method {
        min-height: unset;
        justify-content: start;
    }
}
.form-section {

}
.booking-radio-form-section {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 10px;
    padding: 0 10px;
    height: 60px;
    background-color: white;
}
.booking-form-section {
    margin-bottom: 50px;
    display: flex;
    flex-direction: column;
    gap: 10px;
}
.form-radio {
    display: flex;
    align-items: center;
}
.form-radio-group {
    display: flex;
    gap: 20px;
}
.booking-form-section.gridded {
    display: grid;
    grid-template-columns: repeat(8, 1fr);
    grid-gap: 20px;
}
.booking-form-section.gridded .colspan-1 {
     grid-column: span 1;
 }
.booking-form-section.gridded .colspan-2 {
    grid-column: span 2;
}
.booking-form-section.gridded .colspan-3 {
    grid-column: span 3;
}
.booking-form-section.gridded .colspan-4 {
    grid-column: span 4;
}
@media screen and (max-width: 650px) {
    .booking-form-section.gridded {
        grid-template-columns: repeat(4, 1fr);
        grid-gap: 15px;
    }
}
@media screen and (max-width: 450px) {
    .booking-form-section.gridded {
        grid-template-columns: repeat(2, 1fr);
        grid-gap: 10px;
    }
    .booking-form-section.gridded .colspan-1 {
        grid-column: span 1;
    }
    .booking-form-section.gridded .colspan-2 {
        grid-column: span 2;
    }
    .booking-form-section.gridded .colspan-3 {
        grid-column: span 2;
    }
    .booking-form-section.gridded .colspan-4 {
        grid-column: span 2;
    }
}
.booking-form-checkbox {
    display: flex;
}
.booking-form-checkbox label {
    max-width: 660px;
    margin-left: 10px;
}
.booking-form-checkbox label a {
    text-decoration: none;
}
.booking-completed-container {
    background-color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 40px 100px;
    gap: 20px;
}

/*booking page*/
.booking-container {
    display: flex;
    flex-direction: column;
    align-items: center;
}
.booking-header {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.booking-stepper {
    margin-top: 40px;
    display: flex;
}
.booking-stepper-content {
    width: 100%;
    max-width: 1400px;
}
.booking-stepper-item {
    border-bottom: 1px solid lightgray;
    padding: 10px 15px;
}
.booking-stepper-item.active {
    color: #b2122b;
    border-color: #b2122b;
    border-bottom: 2px solid;
}
.booking-stepper-content {
    width: 100%;
    max-width: 1400px;
}
.price-overview-container {
    background-color: white;
    padding: 15px 10px;
    margin-top: 30px;
}

input[type=checkbox] {
    width: 13px;
    height: 13px;
    margin-top: 8px;
    border: 1px solid #564a41;
    border-radius: 0px !important;
}